mask_based_range_hashing.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::mask_based_range_hashing< Size_Type >

## Namespaces

namespace | __gnu_pbds

## Variables

template<typename Size_Type>
const mask_based_range_hashing< Size_Type >::size_type | __gnu_pbds::detail::mask_based_range_hashing< Size_Type >::s_highest_bit_1
template<typename Size_Type>
const mask_based_range_hashing< Size_Type >::size_type | __gnu_pbds::detail::mask_based_range_hashing< Size_Type >::s_num_bits_in_size_type

## Detailed Description

Contains a range hashing policy base.

Definition in file mask_based_range_hashing.hpp.

## Variable Documentation

## mask_based_range_hashing< Size_Type >::s_highest_bit_1

template<typename Size_Type>

const mask_based_range_hashing<Size_Type>::size_type __gnu_pbds::detail::mask_based_range_hashing< Size_Type >::s_highest_bit_1

Definition at line 78 of file mask_based_range_hashing.hpp.

## mask_based_range_hashing< Size_Type >::s_num_bits_in_size_type

template<typename Size_Type>

const mask_based_range_hashing<Size_Type>::size_type __gnu_pbds::detail::mask_based_range_hashing< Size_Type >::s_num_bits_in_size_type

Definition at line 74 of file mask_based_range_hashing.hpp.